# ListExecutions

PATH: /aurora.core.apiengine.executionsv1.ExecutionService/ListExecutions

Endpoint: POST /aurora.core.apiengine.executionsv1.ExecutionService/ListExecutions
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `agreement_id` (string)
    Limit the execution list to a certain agreement

  - `instrument_id` (string)
    Limit the execution list to a security

  - `instrument_id_type` (string)
    Enum: "CUSIP", "TICKER"

  - `is_acknowledged` (boolean)
    optional filter by acknowledged status

  - `side` (string)
    Enum: "BORROW", "LOAN"

  - `since` (string, required)
    DateTime for query to start looking for executions - time in RFC3339 with millisecond precision

  - `until` (string)
    DateTime for the end of the time window for which to search - time in RFC3339 with millisecond precision

## Response 200 fields (application/json):

  - `executions` (array)

  - `executions.agreement` (object, required)
    Fields: id, short_name, side, counterparty_id, settlement_type, rounding_rule, collateral_rate, status, proposer_user, proposed_by_side, responder_user, version, collateral_type, pricing_currency, billing_currency, collateral_currency, collateral_method, dividend_required, term_type, term_start_date, term_end_date, balance_target, balance_target_variance, rwa_bucket, settlement_system, created_at, approved_at, booking_account, counterparty_booking_account, trade_type, profit_center, delivery_type

  - `executions.agreement.approved_at` (string)
    Datetime that agreement was approved by the second party - time in RFC3339 with millisecond precision

  - `executions.agreement.balance_target` (string)

  - `executions.agreement.balance_target_variance` (string)

  - `executions.agreement.billing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `executions.agreement.booking_account` (string)

  - `executions.agreement.collateral_currency` (string)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `executions.agreement.collateral_method` (string, required)
    Enum: "COLLATERAL_METHOD_UNSPECIFIED", "PLEDGE", "TITLE_TRANSFER"

  - `executions.agreement.collateral_rate` (string, required)
    Collateral Rate

  - `executions.agreement.collateral_type` (string, required)
    Enum: "COLLATERAL_TYPE_UNSPECIFIED", "CASH", "NON_CASH_UST", "NON_CASH_EQ", "NON_CASH_JGB"

  - `executions.agreement.counterparty_booking_account` (string)

  - `executions.agreement.counterparty_id` (string, required)
    The Provable assigned company_id of the counterparty in the agreement

  - `executions.agreement.created_at` (string, required)
    Datetime that agreement was initially created - time in RFC3339 with millisecond precision

  - `executions.agreement.delivery_type` (string, required)
    Enum: "DELIVERY_TYPE_UNSPECIFIED", "DVP", "FOP"

  - `executions.agreement.dividend_required` (string, required)

  - `executions.agreement.id` (string, required)
    A unique reference for the agreement assigned by Provable Markets

  - `executions.agreement.pricing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `executions.agreement.profit_center` (string)

  - `executions.agreement.proposed_by_side` (string, required)
    Enum: "BORROW", "LOAN"

  - `executions.agreement.proposer_user` (string, required)
    The user who initially created the agreement

  - `executions.agreement.responder_user` (string)
    The user who approved or rejected the agreement

  - `executions.agreement.rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `executions.agreement.rwa_bucket` (string)

  - `executions.agreement.settlement_system` (string)
    Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED", "PROVABLE_MARKET", "LOANET", "LOANET_SFT", "SPIRE", "PROP"

  - `executions.agreement.settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `executions.agreement.short_name` (string, required)
    The short name your company has assigned to this agreement

  - `executions.agreement.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `executions.agreement.status` (string, required)
    possible agreement status
    Enum: "AGREEMENT_STATUS_UNSPECIFIED", "DRAFT", "ACTIVE", "REJECTED", "CANCELED", "INACTIVE"

  - `executions.agreement.term_end_date` (string)

  - `executions.agreement.term_start_date` (string)

  - `executions.agreement.term_type` (string, required)
    Enum: "TERM_TYPE_UNSPECIFIED", "NONE", "FIXED", "EVERGREEN", "ONE_DAY", "BULLET"

  - `executions.agreement.trade_type` (string)

  - `executions.agreement.version` (string, required)
    After modifications are accepted, the sequential count changes to the next value. Note: Short Name changes do not result in a new version. Just shared element updates do.

  - `executions.cancel_reason` (string)
    Reason of cancellation if status is cancelled

  - `executions.collateral_price` (string, required)
    The collateral_rate adjusted price rounded up.

  - `executions.contra_status` (string, required)
    Execution status of other side

  - `executions.contract_value` (string, required)
    The contract value (calculated as Collateral Adjusted Price * Quantity)

  - `executions.counterparty_id` (string, required)
    Company id of the counterparty

  - `executions.execution_quantity` (string, required)
    Executed quantity

  - `executions.execution_time` (string, required)
    date and time of the execution - time in RFC3339 with millisecond precision

  - `executions.fee` (string, required)
    Rate as fee

  - `executions.id` (string, required)
    A execution reference ID assigned by Provable Markets

  - `executions.instrument` (object, required)
    Instruments can be identified by their CUSIP or Ticker SymbolFields: cusip, ticker, name

  - `executions.instrument.cusip` (string, required)
    CUSIP

  - `executions.instrument.name` (string, required)
    Security name

  - `executions.instrument.ticker` (string, required)
    Ticker

  - `executions.is_acknowledged` (boolean, required)
    has the execution been acknowledged

  - `executions.order_created_by` (string, required)
    Order created by user

  - `executions.order_id` (string, required)
    Id of the order

  - `executions.order_last_updated_by` (string, required)
    Order last updated by user

  - `executions.rebate` (string, required)
    Rate as rebate

  - `executions.settlement_amount` (string, required)
    Deprecated. Please use contract_value.

  - `executions.settlement_date` (string, required)
    settlement date - date in YYYY-MM-DD format

  - `executions.settlement_price` (string, required)
    Deprecated. Please use collateral_price.

  - `executions.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `executions.start_date` (string, required)
    Start date
deprecated

  - `executions.status` (string, required)
    Execution status

  - `executions.trade_date` (string, required)
    trade date - date in YYYY-MM-DD format

  - `executions.unit_price` (string, required)
    Last prior day market price

  - `executions.updated_at` (string, required)
    Last Updated - time in RFC3339 with millisecond precision


